[Unit]
Description=Restic timer for {{ jobs.name }}

[Timer]
Unit=restic-{{ jobs.name }}.target
RandomizedDelaySec={{ restic_randomizeddelaysec }}
Persistent=true
{% if jobs.timers is defined %}
{% for t in jobs.timers %}
OnCalendar={{ t }}
{% endfor %}
{% elif jobs.timer %}
OnCalendar={{ jobs.timer }}
{% endif %}

{% if jobs.timer_opts is defined %}
{{ jobs.timer_opts }}
{% endif %}

[Install]
WantedBy=timers.target
